FORUMS

[MODULE] Smali Patcher 6.7

4,102 posts
Thanks Meter: 5,386
 
By fOmey, Recognized Developer on 27th September 2017, 08:43 AM
Post Reply Email Thread
20th May 2020, 06:43 AM |#5701  
Junior Member
Thanks Meter: 17
 
More
Quote:
Originally Posted by eneg

Patches that work with samsung a50 with android 10?

Mock Location works
The Following 2 Users Say Thank You to cheewei For This Useful Post: [ View ] Gift cheewei Ad-Free
20th May 2020, 10:38 AM |#5702  
Member
Flag Hong Kong
Thanks Meter: 5
 
More
I tried to search but couldn't find answer. Sorry if it has been mentioned.
Trying to install vanced but my version of Android is 5.1.1 so can not use Smali patcher as they mention on their website.
Also the Magisk module for vanced has been abandoned.
So anybody running into same issue has found a way to disable apk verification?
My device is running LineageOS 12.1. It has root with Magisk.

Oh! Forgot to mention I was able to install an older version but when I started the app it demanded I installed Google services which I am trying to avoid in this tablet. It occurred to me that maybe vanced can't run without MiniG in anycase.. although I think it is supposed to be able to work without it on rooted devices.


Thanks.
21st May 2020, 02:18 AM |#5703  
poriya.219's Avatar
Member
Flag Qom
Thanks Meter: 10
 
More
Quote:
Originally Posted by A30NI_Y

Mock loc, sig ver, and sig spoof

Can you patch the service.jar of this rom?https://forum.xda-developers.com/mi-...-lite-t4072705
Smalipatcher don't run in my system
-mock location
- sig ver
-secure flag
21st May 2020, 03:26 AM |#5704  
Senior Member
Thanks Meter: 164
 
More
Quote:
Originally Posted by poriya.219

Can you patch the service.jar of this rom?https://forum.xda-developers.com/mi-...-lite-t4072705
Smalipatcher don't run in my system
-mock location
- sig ver
-secure flag

Please provide link to a copy of the system/framework folder of your phone instead of the rom
The Following User Says Thank You to A30NI_Y For This Useful Post: [ View ] Gift A30NI_Y Ad-Free
21st May 2020, 11:36 AM |#5705  
Junior Member
Thanks Meter: 0
 
More
Error java not detected
I always have the issue of it saying "JAVA not detected" even tho I just installed it, run as admin and it being available via cmd and powershell... please help :/
21st May 2020, 12:58 PM |#5706  
TheImpulson's Avatar
Forum Moderator / Recognized Developer
Flag Bhilai, India
Thanks Meter: 3,023
 
More
@fOmey thanks for your great work. is it possible to share the patches used in this patcher somewhere? I would love to apply them to my ROM builds for daily use.
21st May 2020, 01:04 PM |#5707  
LaroTayoGaming's Avatar
Junior Member
Flag Balagtas, Bulacan
Thanks Meter: 1
 
Donate to Me
More
Geez, I hate that Knox lock for some reason.
22nd May 2020, 02:48 AM |#5708  
Junior Member
Thanks Meter: 0
 
More
Error! Knox patch class not found !
Hello,
Can someone help me please?
when I select the secure folder option it takes some time then I get: Error! Knox patch class is not found
please help me I get this error message in smali patcher
My phone is Galaxy J7 Prime 2 (SM-G611F)
Android Nougat 7.1.1 and it is rooted
If there any file you want me to share please tell me
22nd May 2020, 11:32 AM |#5709  
Member
Flag Hong Kong
Thanks Meter: 5
 
More
I will answer my own question in case someone is trying to find an answer:
How can you disable apk signature verification for android 5.1.1? (I came here from Vanced.app)
I have Magisk on my device.
1. Installed Xposed Framework under Magisk (the one that works for Android 5.0 to Android 8.1)
2. Installed XposedInstaller(3.1.5) from the instructions in Xposed Framework description inside Magisk Manager
3. Installed Xinstaller by pyler. (another alternative might be InstallerOpt (last updated January 2017) a fork of abandoned Xinstaller)
4. In Xinstaller chekmark Expert mode. Then on Misc checkmark Disable Verifying signature (reenable this as soon as possible)

Of course this is if you don't want to use a warez app that is not allowed to be mentioned in these forums.

https://repo.xposed.info/module/com.pyler.xinstaller
https://repo.xposed.info/module/net.fypm.installeropt

Quote:
Originally Posted by juanpa74

I tried to search but couldn't find answer. Sorry if it has been mentioned.
Trying to install vanced but my version of Android is 5.1.1 so can not use Smali patcher as they mention on their website.
Also the Magisk module for vanced has been abandoned.
So anybody running into same issue has found a way to disable apk verification?
My device is running LineageOS 12.1. It has root with Magisk.

Oh! Forgot to mention I was able to install an older version but when I started the app it demanded I installed Google services which I am trying to avoid in this tablet. It occurred to me that maybe vanced can't run without MiniG in anycase.. although I think it is supposed to be able to work without it on rooted devices.


Thanks.

The Following User Says Thank You to juanpa74 For This Useful Post: [ View ] Gift juanpa74 Ad-Free
24th May 2020, 04:22 AM |#5710  
Junior Member
Thanks Meter: 0
 
More
Hello guys, i have an error when i tried to use smali patcher, Im using a Xiaomi Redmi Note 6a and i got this:

fOmey @ XDA
Patcher version: 0.0.6.7
==> Binary download complete
==> Detected java: 1.8.0_251
==> Unpacked binarys
==> Dumped framework
==> Processing framework
[INFO] Processing 1 file(s) from bin\services.vdex
[INFO] 1 out of 1 Vdex files have been processed
==> Extracting classes.cdex
!!! ERROR: Failed extracting classes.cdex

Anyone can help me with that?

Thanks
24th May 2020, 11:09 AM |#5711  
Senior Member
Thanks Meter: 28
 
More
is signature verification works on miui12? i think i ve done it right and still can install vanced root (vanced noon root can be instaled so SAI works good)
Post Reply Subscribe to Thread

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes